Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class CXRule

    java.lang.Object
      |
      +--oracle.apps.cz.cio.CXRule

public final class CXRule
extends java.lang.Object

Field Summary
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`

Method Summary
`static java.lang.String` | `argsToString(java.lang.Object[] args)`
`oracle.apps.cz.cio.IRuntimeNode` | `getBaseNode()`
`java.lang.String` | `getClassName()`
`java.lang.String` | `getDescription()`
`java.util.Calendar` | `getEffectiveFrom()`
`java.util.Calendar` | `getEffectiveUntil()`
`java.lang.Object` | `getExtensionInstance()`
`int` | `getId()`
`int` | `getInstantiationScope()`
`static java.lang.String` | `getMethodSignature(java.lang.reflect.Method method)`
`java.lang.String` | `getName()`
`boolean` | `hasDescription()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

Method Detail

### getName

    public java.lang.String getName()

### hasDescription

    public boolean hasDescription()

### getDescription

    public java.lang.String getDescription()

### getId

    public int getId()

### getEffectiveFrom

    public java.util.Calendar getEffectiveFrom()

### getEffectiveUntil

    public java.util.Calendar getEffectiveUntil()

### getInstantiationScope

    public int getInstantiationScope()

### getBaseNode

    public oracle.apps.cz.cio.IRuntimeNode getBaseNode()

### getClassName

    public java.lang.String getClassName()

### getExtensionInstance

    public java.lang.Object getExtensionInstance()

### getMethodSignature

    public static java.lang.String getMethodSignature(java.lang.reflect.Method method)

### argsToString

    public static java.lang.String argsToString(java.lang.Object[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.